

cache:
  paths:
    - node_modules
    - /root/.cache/Cypress

test_cypress: 
 image: cypress/browsers 
 script: 
  - npm install
  - npm run dev &
  - npm run e2e

pages:
  image: node:18-alpine
  stage: deploy
  cache:
    key:
      files:
        - package-lock.json
      prefix: npm
  script:
    - npm install
    - npm run build
    - cp -a dist/. public/
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH